package com.rjconsultores.ventaboletos.web.utilerias.menu.item.esquemaoperacional;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.constantes.ConstantesFuncionSistema;
import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuIntegracaoComprovantePassagem extends DefaultItemMenuSistema {
	
	public ItemMenuIntegracaoComprovantePassagem() {
		super("indexController.mniIntegracao.integracaoComprovantePassagem.label");
	}

	@Override
	public String getClaveMenu() {
		return ConstantesFuncionSistema.CLAVE_INTEGRACAO_COMPROVANTE_PASSAGEM;
	}

	@Override
	public void ejecutar() {
		PantallaUtileria.openWindow("/gui/esquema_operacional/integracao/busquedaIntegracaoCompPassagem.zul",
				Labels.getLabel("editarIntComprovantePassagem.window.title"), getArgs() ,desktop);
	}

}
